;************************************** LCD_02.asm **************************************
;
; PARA LA EASYPIC
; El mdulo LCD visualiza el mensaje "Hola". La escritura de cada letra se realiza cada
; 500 ms. Despus se borra y comienza de nuevo.
;       
; ZONA DE DATOS **********************************************************************

	__CONFIG   _CP_OFF &  _WDT_OFF & _PWRTE_ON & _HS_OSC
	LIST	   P=16F877A
	INCLUDE  <P16F877A.INC>

	CBLOCK 0x20
	ENDC

; ZONA DE CDIGOS ********************************************************************

	ORG	0
Inicio
	call	LCD_Inicializa
Principal
	movlw	'H'
	call	LCD_Caracter
	call	Retardo_500ms ;repito el retardo porque en la EasyPIC el reloj es de 8Mhz
	call	Retardo_500ms ;as realmente son 500ms
	movlw	'o'
	call	LCD_Caracter
	call	Retardo_500ms
	call	Retardo_500ms
	movlw	'l'
	call	LCD_Caracter
	call	Retardo_500ms
	call	Retardo_500ms
	movlw	'a'
	call	LCD_Caracter
	call	Retardo_500ms
	call	Retardo_500ms
	call	LCD_Borra		; Borra la pantalla.
	call	Retardo_500ms
	call	Retardo_500ms
	goto	Principal

	INCLUDE <LCD_EASY.INC>
	INCLUDE <RETARDOS.INC>
	END
	
