;************************************** LCD_01.asm **************************************
;
; PARA LA EASYPIC
; El mdulo LCD visualiza el mensaje "Hola".
;
; ZONA DE DATOS **********************************************************************

	__CONFIG   _CP_OFF &  _WDT_OFF & _PWRTE_ON & _HS_OSC
	LIST	   P=16F877A
	INCLUDE  <P16F877A.INC>

	CBLOCK 0x20
	ENDC

; ZONA DE CDIGOS ********************************************************************

	ORG	0
Inicio
	call	LCD_Inicializa
	movlw	'H'
	call	LCD_Caracter
	movlw	'o'
	call	LCD_Caracter
	movlw	'l'
	call	LCD_Caracter
	movlw	'a'
	call	LCD_Caracter
	sleep				; Entra en modo de bajo consumo.

	INCLUDE  <LCD_EASY.INC>	; Subrutinas de control del mdulo LCD.
	INCLUDE  <RETARDOS.INC>	; Subrutinas de retardo.
	END				; Fin del programa.

